﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.OutlookBar;
using Infragistics.Windows.Ribbon;

namespace WpfApplication63
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : XamRibbonWindow
    {
        List<MyClass> data = new List<MyClass>() 
        {
        new MyClass() { Text = "Item1"},
        new MyClass() { Text = "Item2"},
        new MyClass() { Text = "Item3"},
        new MyClass() { Text = "Item4"},
        new MyClass() { Text = "Item5"},
        new MyClass() { Text = "Item6"}
        };

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = data;
        }

        private void XamOutlookBar_SelectedGroupChanged(object sender, RoutedEventArgs e)
        {
            var group = ribbon.Tabs.Where(t => t.Header.ToString() == (sender as XamOutlookBar).SelectedGroup.Header.ToString()).FirstOrDefault();
            if (group != null)
                group.IsSelected = true;
        }
    }
}
