﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication63
{
    public class MyClass : INotifyPropertyChanged
    {
        string text;
        public string Text
        {
            get
            { return this.text; }
            set
            {
                if (this.text != value)
                {
                    this.text = value;
                    OnPropChanged("Text");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropChanged(string pName)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(pName));
        }
    }
}
